Update installed agent app
curl --request PUT \
--url 'https://api.vida.dev/api/v2/apps/{appId}/{appVersion}?token=' \
--header 'Content-Type: application/json' \
--data '
{
"app": {},
"reload": false
}
'import requests
url = "https://api.vida.dev/api/v2/apps/{appId}/{appVersion}?token="
payload = {
"app": {},
"reload": False
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({app: {}, reload: false})
};
fetch('https://api.vida.dev/api/v2/apps/{appId}/{appVersion}?token=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vida.dev/api/v2/apps/{appId}/{appVersion}?token=",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'app' => [
],
'reload' => false
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.vida.dev/api/v2/apps/{appId}/{appVersion}?token="
payload := strings.NewReader("{\n \"app\": {},\n \"reload\": false\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.vida.dev/api/v2/apps/{appId}/{appVersion}?token=")
.header("Content-Type", "application/json")
.body("{\n \"app\": {},\n \"reload\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vida.dev/api/v2/apps/{appId}/{appVersion}?token=")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"app\": {},\n \"reload\": false\n}"
response = http.request(request)
puts response.read_body{
"app": {
"appId": "<string>",
"version": "<string>",
"title": "<string>",
"description": "<string>",
"installed": true,
"active": true,
"dependencies": {}
},
"success": true
}Apps
Update installed agent app
Updates an installed Vader app for the selected Computer Agent account. To change configuration, fetch the current app, edit its dependency values, and send that complete manifest as app. Set reload to true to replace its stored manifest with the current catalog manifest. Read the returned manifest and verify active before relying on its functions.
PUT
/
api
/
v2
/
apps
/
{appId}
/
{appVersion}
Update installed agent app
curl --request PUT \
--url 'https://api.vida.dev/api/v2/apps/{appId}/{appVersion}?token=' \
--header 'Content-Type: application/json' \
--data '
{
"app": {},
"reload": false
}
'import requests
url = "https://api.vida.dev/api/v2/apps/{appId}/{appVersion}?token="
payload = {
"app": {},
"reload": False
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({app: {}, reload: false})
};
fetch('https://api.vida.dev/api/v2/apps/{appId}/{appVersion}?token=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vida.dev/api/v2/apps/{appId}/{appVersion}?token=",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'app' => [
],
'reload' => false
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.vida.dev/api/v2/apps/{appId}/{appVersion}?token="
payload := strings.NewReader("{\n \"app\": {},\n \"reload\": false\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.vida.dev/api/v2/apps/{appId}/{appVersion}?token=")
.header("Content-Type", "application/json")
.body("{\n \"app\": {},\n \"reload\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vida.dev/api/v2/apps/{appId}/{appVersion}?token=")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"app\": {},\n \"reload\": false\n}"
response = http.request(request)
puts response.read_body{
"app": {
"appId": "<string>",
"version": "<string>",
"title": "<string>",
"description": "<string>",
"installed": true,
"active": true,
"dependencies": {}
},
"success": true
}Path Parameters
Query Parameters
Body
application/json